--- a/scripts/topics.pl
+++ b/scripts/topics.pl
@@ -104,10 +104,10 @@
 	my $i = 0;
 	my $text;
 	foreach (@{$topics{$ircnet}{$name}{list}}) {
-	    $text .= "%r[".$i."]%n ".$_->{topic_time}." (by ".$_->{topic_by}.")\n";
+	    $text .= "%r[$i]%n ".scalar(localtime($_->{topic_time}))." ".$_->{topic_by}."\n";
 	    my $topic = $_->{topic};
 	    $topic =~ s/%/%%/g;
-	    $text .= '     "'.$topic.'"'."\n";
+	    $text .= "     $topic\n";
 	    $i++;
 	}
 	$witem->print($_, MSGLEVEL_CLIENTCRAP) foreach (split(/\n/, draw_box('Topics', $text, $name, 1)));
